> ## Documentation Index
> Fetch the complete documentation index at: https://docs.getplu.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Balance

> Retrieve your partner wallet balance

Returns your current wallet balance. The wallet is used to pay for user KYC fees, card creation, funding, and withdrawal operations.

<ParamField header="Authorization" type="string" required>
  Bearer token. Example: `Bearer sk_staging_your_api_key`
</ParamField>

<RequestExample>
  ```bash cURL theme={null}
  curl https://services-staging.getplu.com/api/v1/partner/wallet \
    -H "Authorization: Bearer sk_staging_your_api_key"
  ```

  ```javascript JavaScript theme={null}
  const response = await fetch(
    'https://services-staging.getplu.com/api/v1/partner/wallet',
    {
      headers: {
        'Authorization': 'Bearer sk_staging_your_api_key',
      },
    }
  );
  ```
</RequestExample>

<ResponseExample>
  ```json 200 theme={null}
  {
    "status": "success",
    "message": "Wallet balance retrieved",
    "data": {
      "partnerId": "acme-partner-abc123",
      "balance": 5000,
      "currency": "USD",
      "active": true
    }
  }
  ```

  ```json 404 theme={null}
  {
    "status": "error",
    "message": "Wallet not found",
    "data": {
      "error": "No wallet found for this partner"
    }
  }
  ```
</ResponseExample>

<Info>
  Ensure your wallet has sufficient balance before creating users or cards. Operations that require payment will return a `402 INSUFFICIENT_WALLET_BALANCE` error if your balance is too low.
</Info>
